Market NinjaMarket Ninja
方法

取得某個擷取工作階段的狀態

GET
/me/scrapes/{id}

當工作階段中的每一筆提交記錄都不再處於 pending/processing 狀態時,status 就會變為 completed——這並不一定代表「每一項都成功合併了」,詳細明細請查看 statsstats.total 為 0 的工作階段會一直是 processing,永遠不會變成 completed,無論是因為還沒有任何資料抵達,還是(很久之後)因為其提交記錄已經 超出保留期限而遭清除。

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer 權杖——取得方式與使用方法請參閱 API 概覽

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/me/scrapes/b1f8b6b0-2f7d-4a1a-9a3c-2f6d8e9a1234"
{  "data": {    "id": "b1f8b6b0-2f7d-4a1a-9a3c-2f6d8e9a1234",    "status": "processing",    "stats": {      "total": 40,      "pending": 12,      "processing": 0,      "merged": 28,      "rejected": 0,      "flagged": 0    },    "metadata": {      "source_type": "bulk",      "intent": "data",      "url_count": 40    },    "created_at": "2026-08-04T10:15:00.000Z",    "updated_at": "2026-08-04T10:16:42.000Z"  }}